org.apache.solr.analytics.request

## Class QueryFacetRequest

- java.lang.Object
- - org.apache.solr.analytics.request.QueryFacetRequest

- All Implemented Interfaces:
    FacetRequest

      public class QueryFacetRequest
      extends Object
      implements FacetRequest

  Contains all of the specifications for a query facet.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryFacetRequest()`
    `QueryFacetRequest(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDependency(String dependency)`
    `void` | `addQuery(String query)`
    `Set<String>` | `getDependencies()`
    `String` | `getName()` Get the name of this facet (commonly the field name)
    `List<String>` | `getQueries()`
    `void` | `setDependencies(Set<String> dependencies)`
    `void` | `setName(String name)`
    `void` | `setQueries(List<String> queries)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryFacetRequest

          public QueryFacetRequest()

    - #### QueryFacetRequest

          public QueryFacetRequest(String name)

  - ### Method Detail

    - #### getQueries

          public List<String> getQueries()

    - #### setQueries

          public void setQueries(List<String> queries)

    - #### addQuery

          public void addQuery(String query)

    - #### getDependencies

          public Set<String> getDependencies()

    - #### setDependencies

          public void setDependencies(Set<String> dependencies)

    - #### addDependency

          public void addDependency(String dependency)

    - #### getName

          public String getName()

      Description copied from interface: `FacetRequest`
      Get the name of this facet (commonly the field name)
      Specified by:
        `getName` in interface `FacetRequest`
      Returns:
        the name

    - #### setName

          public void setName(String name)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.